Debian Bug report logs - #546888
debootstrap because of conflicting package and init.d script dependencies

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Tak Auyeung <tauyeung@drtak.org>

Date: Wed, 16 Sep 2009 02:27:01 UTC

Severity: serious

Tags: d-i, patch

Fixed in version procps/1:3.2.8-1.1

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#546834; Package debootstrap. (Wed, 16 Sep 2009 02:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tak Auyeung <tauyeung@drtak.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 16 Sep 2009 02:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tak Auyeung <tauyeung@drtak.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap fails when invoked from lh_build
Date: Tue, 15 Sep 2009 19:16:17 -0700
[Message part 1 (text/plain, inline)]
Package: debootstrap
Version: 1.0.15
Severity: grave
Justification: renders package unusable

lh_build failed and stopped in debootstrap phase. lh_build is set up to use "sid" for both bootstrap and chroot. Attached please find a log of lh_build (build.log) and a log of debootstrap (debootstrap.log) when it was invoked from lh_build. Thanks!


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debootstrap depends on:
ii  binutils              2.19.91.20090910-1 The GNU assembler, linker and bina
ii  wget                  1.11.4-4           retrieves files from the web

Versions of packages debootstrap recommends:
ii  gnupg                         1.4.10-1   GNU privacy guard - a free PGP rep

debootstrap suggests no packages.

-- no debconf information
[build.log (text/plain, attachment)]
[debootstrap.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#546834; Package debootstrap. (Wed, 16 Sep 2009 07:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 546834@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 16 Sep 2009 07:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 546834@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 09:19:25 +0200
reassign 546834 util-linux 2.16-3
severity 546834 serious
affects 546834 debootstrap
tags 546834 d-i
thanks

On Wednesday 16 September 2009, Tak Auyeung wrote:
> lh_build failed and stopped in debootstrap phase. lh_build is set up to
> use "sid" for both bootstrap and chroot. Attached please find a log of
> lh_build (build.log) and a log of debootstrap (debootstrap.log) when it
> was invoked from lh_build. Thanks!

Thanks for including the logs. As you can see in the debootstrap log, the
real problem is in either util-linux or insserv.

Setting up util-linux (2.16-3) ...
install-info: warning: maintainer scripts should not call install-info anymore,
install-info: warning: this is handled now by a dpkg trigger provided by the
install-info: warning: install-info package; package util-linux should be updated.
update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
insserv: Service checkroot has to be enabled to start service hwclock
insserv: exiting now!
dpkg: error processing util-linux (--configure):
 subprocess installed post-installation script returned error exit status 1

The install-info message is just a warning. The real problem looks to be a boot
dependency error. Reassigning to util-linux.

Cheers,
FJP




Bug reassigned from package 'debootstrap' to 'util-linux'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debootstrap/1.0.15. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.16-3. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:10 GMT) Full text and rfc822 format available.

Added indication that 546834 affects debootstrap Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:11 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 546834@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:04:31 +0200
On 2009-09-16 09:19 +0200, Frans Pop wrote:

> On Wednesday 16 September 2009, Tak Auyeung wrote:
>> lh_build failed and stopped in debootstrap phase. lh_build is set up to
>> use "sid" for both bootstrap and chroot. Attached please find a log of
>> lh_build (build.log) and a log of debootstrap (debootstrap.log) when it
>> was invoked from lh_build. Thanks!
>
> Thanks for including the logs. As you can see in the debootstrap log, the
> real problem is in either util-linux or insserv.
>
> Setting up util-linux (2.16-3) ...
> install-info: warning: maintainer scripts should not call install-info anymore,
> install-info: warning: this is handled now by a dpkg trigger provided by the
> install-info: warning: install-info package; package util-linux should be updated.
> update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
> insserv: Service checkroot has to be enabled to start service hwclock
> insserv: exiting now!
> dpkg: error processing util-linux (--configure):
>  subprocess installed post-installation script returned error exit status 1
>
> The install-info message is just a warning. The real problem looks to be a boot
> dependency error. Reassigning to util-linux.

It seems that util-linux is missing a dependency on initscripts for the
checkroot service.  Similar for procps and the mountkernfs service.

However, by that logic any package providing an initscript would need to
depend on initscripts; is that really desirable?

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:30:15 GMT) Full text and rfc822 format available.

Message #32 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:19:53 +0200
[Frans Pop]
> insserv: Service checkroot has to be enabled to start service hwclock
> insserv: exiting now!

The checkroot script is part of the initscripts package.  Is it
installed?  It is essential, so I expect so, and thus fail to
understand how it could be missing when util-linux try to register its
init.d script in the postinst script.

> The real problem looks to be a boot dependency error.

Yes.  The message from insserv is the error terminating the postinst.
The message is correct if the initscripts postinst script have not
executed to register the checkroot init.d script.

What is lh_build?  How do one reproduce the problem?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:39:06 GMT) Full text and rfc822 format available.

Message #37 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org, Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:36:20 +0200
retitle 546834 debootstrap because of conflicting package and init.d script dependencies
close 546834 -1
reassign -1 procps
thanks

I am able to reproduce it using

  debootstrap sid chroot-sid

so this problem is not related to lh_build and my question about that
can be ignored.

There are two problems blocking debootstrap from working:

  Setting up procps (1:3.2.8-1) ...
  update-alternatives: using /usr/bin/w.procps to provide /usr/bin/w (w) in auto mode.
  insserv: Service mountkernfs has to be enabled to start service procps
  insserv: exiting now!
  dpkg: error processing procps (--configure):
   subprocess installed post-installation script returned error exit status 1

and

  Setting up util-linux (2.16-3) ...
  install-info: warning: maintainer scripts should not call install-info anymore,
  install-info: warning: this is handled now by a dpkg trigger provided by the
  install-info: warning: install-info package; package util-linux should be updated.
  update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
  insserv: Service checkroot has to be enabled to start service hwclock
  insserv: exiting now!
  dpkg: error processing util-linux (--configure):
   subprocess installed post-installation script returned error exit status 1

Both are due to the init.d scripts in the packages have hard
dependencies on scripts in the initscripts package, while the package
themselves do not depend on initscripts.

There are two solutions to this, either the hard init.d script
dependency can be made soft (ie move the dependency from
required-start to should-start), or add initscripts as a dependency
for procps and util-linux.

I'm not sure which solution make most sense, but suspect the latter is
the proper solution if the scripts really need each other.  Adding
initscripts as a package dependency will change the order packages are
installed by debootstrap and perhaps expose other bugs in package
dependencies, though.

Happy hacking,
-- 
Petter Reinholdtsen




Changed Bug title to 'debootstrap because of conflicting package and init.d script dependencies' from 'debootstrap fails when invoked from lh_build' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 08:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org, Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:40:27 +0200
[Sven Joachim]
> It seems that util-linux is missing a dependency on initscripts for
> the checkroot service.  Similar for procps and the mountkernfs
> service.

Yes, I believe this is correct, and have split this bug in two and
assigned one to procps.

> However, by that logic any package providing an initscript would need to
> depend on initscripts; is that really desirable?

It does not follow from that logic.  Most scripts do not have direct
and hard dependencies on scripts in initscripts.  Most scripts depend
on the virtual facilities like $remote_fs, and would not have this
problem.  Also, this would only affect scripts installed by
debootstrap before initscripts is installed.

Happy hacking,
-- 
Petter Reinholdtsen




Bug 546834 cloned as bug 546888. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 09:06:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'util-linux' to 'procps'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 09:06:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.16-3. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 09:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#546888; Package procps. (Wed, 16 Sep 2009 10:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Sep 2009 10:21:08 GMT) Full text and rfc822 format available.

Message #55 received at 546888@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546888@bugs.debian.org
Subject: Re: debootstrap fail because of conflicting package and init.d script dependencies
Date: Wed, 16 Sep 2009 12:08:32 +0200
user    initscripts-ng-devel@lists.alioth.debian.org
usertag 546888 + incorrect-dependency
tags    546888 + patch
thanks

This patch would solve the issue, and also improve the situation
partly commented on in #242903 where procps currently is started
before kernel modules are loaded with dependency based boot
sequencing.

diff -ur ../procps-3.2.8/debian/control ../procps-3.2.8-pere/debian/control
--- ../procps-3.2.8/debian/control      2009-09-16 12:01:07.000000000 +0200
+++ ../procps-3.2.8-pere/debian/control 2009-09-16 12:02:46.000000000 +0200
@@ -7,7 +7,7 @@

 Package: procps
 Architecture: any
-Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10), initscripts
 Provides: watch
 Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
 Replaces: watch, bsdutils (<< 2.9x-1)
diff -ur ../procps-3.2.8/debian/init ../procps-3.2.8-pere/debian/init
--- ../procps-3.2.8/debian/init 2009-09-16 12:01:07.000000000 +0200
+++ ../procps-3.2.8-pere/debian/init    2009-09-16 12:07:15.000000000 +0200
@@ -5,8 +5,9 @@

 ### BEGIN INIT INFO
 # Provides:          procps
-# Required-Start:    mountkernfs
+# Required-Start:    mountkernfs $local_fs
 # Required-Stop:
+# Should-Start:      udev module-init-tools
 # Default-Start:     S
 # Default-Stop:
 # Short-Description: Configure kernel parameters at boottime

Happy hacking,
-- 
Petter Reinholdtsen





Added tag(s) patch. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 10:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#546888; Package procps. (Wed, 16 Sep 2009 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Sep 2009 11:57:06 GMT) Full text and rfc822 format available.

Message #62 received at 546888@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546888@bugs.debian.org
Subject: Re: Bug#546888: debootstrap fail because of conflicting package and init.d script dependencies
Date: Wed, 16 Sep 2009 13:51:17 +0200
I can make a NMU to fix this today if you do not want to do this
yourself?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#546888; Package procps. (Wed, 16 Sep 2009 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Sep 2009 15:42:05 GMT) Full text and rfc822 format available.

Message #67 received at 546888@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546888@bugs.debian.org
Subject: Re: Bug#546888: debootstrap fail because of conflicting package and init.d script dependencies
Date: Wed, 16 Sep 2009 17:14:57 +0200
I've uploaded a package with this patch to the 0-day delayed queue, to
solve the debootstrap issue.  Let me know if I should delay it
further.  Included one fix for a lintian warning as well as the
previuos patch for this issue.

diff -u procps-3.2.8/debian/changelog procps-3.2.8/debian/changelog
--- procps-3.2.8/debian/changelog
+++ procps-3.2.8/debian/changelog
@@ -1,3 +1,13 @@
+procps (1:3.2.8-1.1) unstable; urgency=low
+
+  * Non-maintainer upload to fix release goal.
+  * Correct init.d script dependencies and depend on initscripts
+    to make sure the required script dependencies are present
+    (Closes: #546888).
+  * Add depend on ${misc:Depends} some times used by debhelper.
+
+ -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Sep 2009 17:02:42 +0200
+
 procps (1:3.2.8-1) unstable; urgency=low

   * New upstream release
diff -u procps-3.2.8/debian/control procps-3.2.8/debian/control
--- procps-3.2.8/debian/control
+++ procps-3.2.8/debian/control
@@ -7,7 +7,7 @@

 Package: procps
 Architecture: any
-Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), initscripts
 Provides: watch
 Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
 Replaces: watch, bsdutils (<< 2.9x-1)
@@ -27,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libc6-dev, procps (= ${binary:Version})
+Depends: ${misc:Depends}, libc6-dev, procps (= ${binary:Version})
 Description: library for accessing process information from /proc
  These are the header files for libproc. Some packages using libproc
  to access process information from /proc need these to compile.
diff -u procps-3.2.8/debian/init procps-3.2.8/debian/init
--- procps-3.2.8/debian/init
+++ procps-3.2.8/debian/init
@@ -5,8 +5,9 @@

 ### BEGIN INIT INFO
 # Provides:          procps
-# Required-Start:    mountkernfs
+# Required-Start:    mountkernfs $local_fs
 # Required-Stop:
+# Should-Start:      udev module-init-tools
 # Default-Start:     S
 # Default-Stop:
 # Short-Description: Configure kernel parameters at boottime


Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Wed, 16 Sep 2009 16:27:50 GMT) Full text and rfc822 format available.

Notification sent to Tak Auyeung <tauyeung@drtak.org>:
Bug acknowledged by developer. (Wed, 16 Sep 2009 16:27:50 GMT) Full text and rfc822 format available.

Message #72 received at 546888-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 546888-close@bugs.debian.org
Subject: Bug#546888: fixed in procps 1:3.2.8-1.1
Date: Wed, 16 Sep 2009 16:08:07 +0000
Source: procps
Source-Version: 1:3.2.8-1.1

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.8-1.1_i386.deb
  to pool/main/p/procps/libproc-dev_3.2.8-1.1_i386.deb
procps_3.2.8-1.1.diff.gz
  to pool/main/p/procps/procps_3.2.8-1.1.diff.gz
procps_3.2.8-1.1.dsc
  to pool/main/p/procps/procps_3.2.8-1.1.dsc
procps_3.2.8-1.1_i386.deb
  to pool/main/p/procps/procps_3.2.8-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546888@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Sep 2009 17:02:42 +0200
Source: procps
Binary: procps libproc-dev
Architecture: source i386
Version: 1:3.2.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 546888
Changes: 
 procps (1:3.2.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix release goal.
   * Correct init.d script dependencies and depend on initscripts
     to make sure the required script dependencies are present
     (Closes: #546888).
   * Add depend on ${misc:Depends} some times used by debhelper.
Checksums-Sha1: 
 c0e2544f52e005c6424ba88124669be39b94c746 995 procps_3.2.8-1.1.dsc
 4295c0d47efbe5d3853a274098977466c3b67ddc 60902 procps_3.2.8-1.1.diff.gz
 e4bcc3524bd860bae56b6bbf195a685b6bcef277 226982 procps_3.2.8-1.1_i386.deb
 dc22e5568e7903f0a2959556d44b1a3efef77919 58540 libproc-dev_3.2.8-1.1_i386.deb
Checksums-Sha256: 
 a55f7ab38bdc69ba039c61fbad3fae73a3777ed50a968dc4ac1612ae00dbf11d 995 procps_3.2.8-1.1.dsc
 cbd57a569d25ea6a45405a314de5146571032642ad3e931a492391de7b60bca9 60902 procps_3.2.8-1.1.diff.gz
 9b47cc426b6831abd7c70e8e40f42a0e7a0d8ab7044479f9c3e79fda27ba72f0 226982 procps_3.2.8-1.1_i386.deb
 435422d3089cf9e54430856d62c1070b62be18e204065823c0ffd0ce5fc314ea 58540 libproc-dev_3.2.8-1.1_i386.deb
Files: 
 13a08571361b037e62fbff25a7de4dcb 995 admin required procps_3.2.8-1.1.dsc
 3c63e886312a6f80f842b503998d372c 60902 admin required procps_3.2.8-1.1.diff.gz
 399ce1ba64d8700a098e84de8b04895a 226982 admin required procps_3.2.8-1.1_i386.deb
 559ab868638efd4e3416b4e7c84bfc21 58540 libdevel optional libproc-dev_3.2.8-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKsQAV20zMSyow1ykRArgxAKCRI6S5QqaREKWtGLzlceVo0WwrIgCgqz+n
/DmKOPoYf00N8XKyXHcssyo=
=LBnq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#546888; Package procps. (Thu, 17 Sep 2009 00:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Thu, 17 Sep 2009 00:51:02 GMT) Full text and rfc822 format available.

Message #77 received at 546888@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 546888@bugs.debian.org
Subject: Re: Bug#546888: debootstrap fail because of conflicting package and init.d script dependencies
Date: Thu, 17 Sep 2009 10:44:12 +1000
On Wed, Sep 16, 2009 at 05:14:57PM +0200, Petter Reinholdtsen wrote:
> I've uploaded a package with this patch to the 0-day delayed queue, to
> solve the debootstrap issue.  Let me know if I should delay it
> further.  Included one fix for a lintian warning as well as the
> previuos patch for this issue.
It should be fine, i'm not currently working on a release so you haven't
mucked any work I'm doing on procps and it makes the complex initscripts
goals that much closer.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:06:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.